Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 232353 - broken bt: dwarf2_read_address: Corrupted DWARF expression.
Summary: broken bt: dwarf2_read_address: Corrupted DWARF expression.
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: gdb
Version: rawhide
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jan Kratochvil
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: 439234
TreeView+ depends on / blocked
 
Reported: 2007-03-14 21:38 UTC by Jan Kratochvil
Modified: 2008-03-27 18:22 UTC (History)
2 users (show)

Fixed In Version: gdb-6.6-6.fc7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-03-15 08:39:00 UTC


Attachments (Terms of Use)

Description Jan Kratochvil 2007-03-14 21:38:22 UTC
Description of problem:
GDB cannot backtrace X server on x86_64. Bugreported by Adam Tkac
<atkac@redhat.com>.

Version-Release number of selected component (if applicable):
?

How reproducible:
Always.

Steps to Reproduce:
assumed:
1. gdb Xorg `pidof Xorg`
2. bt

Actual results:
#10 0x00002aaaac030564 in fbGetImage (pDrawable=<value optimized out>,
x=dwarf2_read_address: Corrupted DWARF expression.

Expected results:
#10 0x00002aaaac030564 in fbGetImage (pDrawable=<value optimized out>, x=12,
y=821, w=768, h=1, format=2, planeMask=18446744073709551615, d=0x2aaab4ab0228
<Address 0x2aaab4ab0228 out of bounds>)

Additional info:
Fixed in HEAD by upstream:
http://sourceware.org/ml/gdb-patches/2007-01/msg00561.html

Comment 1 Jan Kratochvil 2007-03-15 08:39:00 UTC
Committed to RawHide:
* Wed Mar 14 2007 Jan Kratochvil <jan.kratochvil@redhat.com> - 6.6-6
- Fix occasional dwarf2_read_address: Corrupted DWARF expression (BZ 232353).



Note You need to log in before you can comment on or make changes to this bug.